Paketaktualisierung verhindern

Gespeichert von Erik Wegner am/um So, 05.05.2013 - 13:08
Body

Damit beim Aufruf des Befehls zypper up zur Aktualisierung aller installierten Pakete ein bestimmtes Paket ausgelassen wird, kann eine Sperrdatei (Lockfile) genutzt werden.

Die Datei befindet sich bei openSUSE 12.2 unter /etc/zypp/locks.

Mit den folgenden Zeilen wird die Aktualisierung des lvm2-Pakets verhindert:

solvable_name: lvm2
match_type: exact

Weitere Hinweise gibt das openSUSE-Wiki.